<template>
  <div id="user-1">
    <admin-frame :useTop="false" :usePage="false" :useNav="false">
      <template v-slot:info>
        <van-col span="24" class="one">
          <user-top></user-top>
        </van-col>
        <van-col span="24" class="two" :style="{ height: client.height - 140 + 'px' }">
          <admin-btn></admin-btn>
        </van-col>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import adminBtn from '../admin/adminBtn.vue';
import userTop from '../parts/userTop.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'user-1',
  props: {},
  components: {
    adminFrame,
    userTop,
    adminBtn,
  },
  data: function () {
    return {
      client: {},
    };
  },
  created() {},
  methods: {},
  mounted() {
    let client = {
      height: document.documentElement.clientHeight || document.body.clientHeight,
      width: document.documentElement.clientWidth || document.body.clientWidth,
    };
    this.$set(this, `client`, client);
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.two {
  overflow-y: auto;
}
</style>
